classification
Title: Make build_cpython.py from dev-in-a-box work outside of a box
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, eric.snow
Priority: normal Keywords:

Created on 2013-07-04 19:45 by brett.cannon, last changed 2013-07-12 14:49 by brett.cannon. This issue is now closed.

Messages (3)
msg192310 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-07-04 19:45
No reason why it can't be generalized to accept a directory argument so that it can be used by anyone to build a checkout of CPython whether it is in a box or not.

Would also help maintain the code as me (and one else who cared to) could then just always use the script to build CPython.
msg192334 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-07-05 16:39
Out of the box thinking, eh? <wink>
msg192940 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-07-12 14:49
changeset fe1c35cbc9a0
History
Date User Action Args
2013-07-12 14:49:18brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg192940

stage: needs patch -> resolved
2013-07-12 14:38:04brett.cannonsetassignee: brett.cannon
2013-07-05 16:39:51eric.snowsetnosy: + eric.snow
messages: + msg192334
2013-07-04 19:45:56brett.cannoncreate